These docs are for v2.0.1. Click to read the latest docs for v3.0.2.

/recentTrades

Retrieves recent trades executed on a market

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Client Library

import { Networks, BluefinClient, MARKET_SYMBOLS } from "@bluefin-exchange/bluefin-v2-client";

async function main() {
  
  const ed25519Wallet =
    "trigger swim reunion gate hen black real deer light nature trial dust";
  const client = new BluefinClient(
    true,
    Networks.TESTNET_SUI,
    ed25519Wallet,
    "ED25519"
  );
  await client.init()

  // fetch recent trades on BTC market
  const resp= await client.getMarketRecentTrades({
    symbol: MARKET_SYMBOLS.BTC
  })
}
  
main().then().catch(console.error);
from config import TEST_ACCT_KEY, TEST_NETWORK
from pprint import pprint
import asyncio
from bluefin_v2_client import (
    BluefinClient,
    Networks,
    TRADE_TYPE,
    MARKET_SYMBOLS,
)


async def main():
    client = BluefinClient(True, Networks[TEST_NETWORK], TEST_ACCT_KEY)
    await client.init(True)

    # gets recent isolated/normal trades on ETH market
    recent_trades = await client.get_market_recent_trades(
        {"symbol": MARKET_SYMBOLS.ETH, "traders": TRADE_TYPE.ISOLATED}
    )
    pprint(recent_trades)
    await client.close_connections()


if __name__ == "__main__":
    loop = asyncio.new_event_loop()
    loop.run_until_complete(main())
    loop.close()

HTTPs

Alternatively, call the GET /recentTrades endpoint using the integrated editor on the right or locally from any language supporting HTTPs network calls.

Request & Response

Query Params
string
required

Market symbol for which the user wishes to get its recent trades

string

If provided, it fetches recent trades from the specified trader on the market, with trader options including IsolatedTrader, IsolatedLiquidation, and IsolatedADL

double

The number of records required per page. The exchange server
allows a maximum of 50 records per page

double

The particular page number to be fetched

Responses

400
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json